# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'mdtc_UI.ui'
#
# Created: Tue Nov 20 09:59:53 2018
#      by: PyQt4 UI code generator 4.11.1
#
# WARNING! All changes made in this file will be lost!

from PyQt4 import QtCore, QtGui

try:
    _fromUtf8 = QtCore.QString.fromUtf8
except AttributeError:
    def _fromUtf8(s):
        return s

try:
    _encoding = QtGui.QApplication.UnicodeUTF8
    def _translate(context, text, disambig):
        return QtGui.QApplication.translate(context, text, disambig, _encoding)
except AttributeError:
    def _translate(context, text, disambig):
        return QtGui.QApplication.translate(context, text, disambig)

class Ui_MDTC_window(object):
    def setupUi(self, MDTC_window):
        MDTC_window.setObjectName(_fromUtf8("MDTC_window"))
        MDTC_window.setEnabled(True)
        MDTC_window.resize(1000, 700)
        MDTC_window.setWindowTitle(_fromUtf8("MoDeTheC"))
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(_fromUtf8(":/img/img/logo_modethec_128.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        MDTC_window.setWindowIcon(icon)
        MDTC_window.setToolTip(_fromUtf8(""))
        MDTC_window.setStatusTip(_fromUtf8(""))
        MDTC_window.setWhatsThis(_fromUtf8(""))
        MDTC_window.setAccessibleName(_fromUtf8(""))
        MDTC_window.setAccessibleDescription(_fromUtf8(""))
        MDTC_window.setWindowFilePath(_fromUtf8(""))
        self.centralwidget = QtGui.QWidget(MDTC_window)
        self.centralwidget.setEnabled(True)
        self.centralwidget.setObjectName(_fromUtf8("centralwidget"))
        self.gridLayout = QtGui.QGridLayout(self.centralwidget)
        self.gridLayout.setObjectName(_fromUtf8("gridLayout"))
        self.splitter_2 = QtGui.QSplitter(self.centralwidget)
        self.splitter_2.setOrientation(QtCore.Qt.Horizontal)
        self.splitter_2.setChildrenCollapsible(False)
        self.splitter_2.setObjectName(_fromUtf8("splitter_2"))
        self.frameArbre = QtGui.QFrame(self.splitter_2)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(1)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.frameArbre.sizePolicy().hasHeightForWidth())
        self.frameArbre.setSizePolicy(sizePolicy)
        self.frameArbre.setMinimumSize(QtCore.QSize(200, 0))
        self.frameArbre.setFrameShape(QtGui.QFrame.NoFrame)
        self.frameArbre.setFrameShadow(QtGui.QFrame.Raised)
        self.frameArbre.setObjectName(_fromUtf8("frameArbre"))
        self.verticalLayout = QtGui.QVBoxLayout(self.frameArbre)
        self.verticalLayout.setObjectName(_fromUtf8("verticalLayout"))
        self.labelParametres = QtGui.QLabel(self.frameArbre)
        font = QtGui.QFont()
        font.setPointSize(11)
        font.setBold(True)
        font.setWeight(75)
        self.labelParametres.setFont(font)
        self.labelParametres.setText(_fromUtf8("Parameters"))
        self.labelParametres.setObjectName(_fromUtf8("labelParametres"))
        self.verticalLayout.addWidget(self.labelParametres)
        self.treeWidget = QtGui.QTreeWidget(self.frameArbre)
        self.treeWidget.setToolTip(_fromUtf8(""))
        self.treeWidget.setStatusTip(_fromUtf8(""))
        self.treeWidget.setWhatsThis(_fromUtf8(""))
        self.treeWidget.setAccessibleName(_fromUtf8(""))
        self.treeWidget.setAccessibleDescription(_fromUtf8(""))
        self.treeWidget.setStyleSheet(_fromUtf8(" QTreeView {\n"
"     show-decoration-selected: 1;\n"
" }\n"
"\n"
" QTreeView::item {\n"
"      border: 1px solid rgb(120, 120, 120);\n"
"     border-top-color: transparent;\n"
"     border-bottom-color: transparent;\n"
"     border-right-color: transparent;\n"
" }\n"
"\n"
" QTreeView::item:hover {\n"
"     background: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 #e7effd, stop: 1 #cbdaf1);\n"
"     border: 1px solid #bfcde4;\n"
" }\n"
"\n"
"\n"
" QTreeView::item:selected {\n"
"     border: 1px solid #567dbc;\n"
" }\n"
"\n"
" QTreeView::item:selected:active{\n"
"     background: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 #6ea1f1, stop: 1 #567dbc);\n"
" }\n"
"\n"
" QTreeView::item:selected:!active {\n"
"     background: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 #6b9be8, stop: 1 #577fbf);\n"
" }\n"
""))
        self.treeWidget.setObjectName(_fromUtf8("treeWidget"))
        item_0 = QtGui.QTreeWidgetItem(self.treeWidget)
        item_0 = QtGui.QTreeWidgetItem(self.treeWidget)
        item_0 = QtGui.QTreeWidgetItem(self.treeWidget)
        item_0 = QtGui.QTreeWidgetItem(self.treeWidget)
        item_0 = QtGui.QTreeWidgetItem(self.treeWidget)
        item_0 = QtGui.QTreeWidgetItem(self.treeWidget)
        item_0 = QtGui.QTreeWidgetItem(self.treeWidget)
        item_0 = QtGui.QTreeWidgetItem(self.treeWidget)
        item_0 = QtGui.QTreeWidgetItem(self.treeWidget)
        self.treeWidget.header().setVisible(False)
        self.treeWidget.header().setCascadingSectionResizes(False)
        self.verticalLayout.addWidget(self.treeWidget)
        self.buttonMESH = QtGui.QPushButton(self.frameArbre)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(2)
        sizePolicy.setHeightForWidth(self.buttonMESH.sizePolicy().hasHeightForWidth())
        self.buttonMESH.setSizePolicy(sizePolicy)
        self.buttonMESH.setMinimumSize(QtCore.QSize(0, 70))
        icon1 = QtGui.QIcon()
        icon1.addPixmap(QtGui.QPixmap(_fromUtf8(":/img/img/mesh.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.buttonMESH.setIcon(icon1)
        self.buttonMESH.setIconSize(QtCore.QSize(48, 48))
        self.buttonMESH.setObjectName(_fromUtf8("buttonMESH"))
        self.verticalLayout.addWidget(self.buttonMESH)
        self.buttonRUN = QtGui.QPushButton(self.frameArbre)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(2)
        sizePolicy.setHeightForWidth(self.buttonRUN.sizePolicy().hasHeightForWidth())
        self.buttonRUN.setSizePolicy(sizePolicy)
        self.buttonRUN.setMinimumSize(QtCore.QSize(0, 70))
        self.buttonRUN.setText(_fromUtf8("   Run"))
        icon2 = QtGui.QIcon()
        icon2.addPixmap(QtGui.QPixmap(_fromUtf8(":/img/img/button_ok.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        icon2.addPixmap(QtGui.QPixmap(_fromUtf8(":/img/img/button_cancel.png")), QtGui.QIcon.Normal, QtGui.QIcon.On)
        self.buttonRUN.setIcon(icon2)
        self.buttonRUN.setIconSize(QtCore.QSize(48, 48))
        self.buttonRUN.setCheckable(True)
        self.buttonRUN.setObjectName(_fromUtf8("buttonRUN"))
        self.verticalLayout.addWidget(self.buttonRUN)
        self.buttonPLOT = QtGui.QPushButton(self.frameArbre)
        icon3 = QtGui.QIcon()
        icon3.addPixmap(QtGui.QPixmap(_fromUtf8(":/img/img/plotxy.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.buttonPLOT.setIcon(icon3)
        self.buttonPLOT.setIconSize(QtCore.QSize(48, 48))
        self.buttonPLOT.setObjectName(_fromUtf8("buttonPLOT"))
        self.verticalLayout.addWidget(self.buttonPLOT)
        self.buttonVTK = QtGui.QPushButton(self.frameArbre)
        icon4 = QtGui.QIcon()
        icon4.addPixmap(QtGui.QPixmap(_fromUtf8(":/img/img/contour.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.buttonVTK.setIcon(icon4)
        self.buttonVTK.setIconSize(QtCore.QSize(48, 48))
        self.buttonVTK.setObjectName(_fromUtf8("buttonVTK"))
        self.verticalLayout.addWidget(self.buttonVTK)
        self.splitter = QtGui.QSplitter(self.splitter_2)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(5)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.splitter.sizePolicy().hasHeightForWidth())
        self.splitter.setSizePolicy(sizePolicy)
        self.splitter.setOrientation(QtCore.Qt.Vertical)
        self.splitter.setChildrenCollapsible(False)
        self.splitter.setObjectName(_fromUtf8("splitter"))
        self.ScrollgridParam = QtGui.QScrollArea(self.splitter)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(10)
        sizePolicy.setHeightForWidth(self.ScrollgridParam.sizePolicy().hasHeightForWidth())
        self.ScrollgridParam.setSizePolicy(sizePolicy)
        self.ScrollgridParam.setFrameShape(QtGui.QFrame.NoFrame)
        self.ScrollgridParam.setWidgetResizable(True)
        self.ScrollgridParam.setObjectName(_fromUtf8("ScrollgridParam"))
        self.WSc = QtGui.QWidget()
        self.WSc.setGeometry(QtCore.QRect(0, 0, 776, 413))
        self.WSc.setObjectName(_fromUtf8("WSc"))
        self.gridLayout_2 = QtGui.QGridLayout(self.WSc)
        self.gridLayout_2.setObjectName(_fromUtf8("gridLayout_2"))
        self.frameParam = QtGui.QFrame(self.WSc)
        self.frameParam.setFrameShape(QtGui.QFrame.StyledPanel)
        self.frameParam.setFrameShadow(QtGui.QFrame.Plain)
        self.frameParam.setObjectName(_fromUtf8("frameParam"))
        self.gridParam = QtGui.QGridLayout(self.frameParam)
        self.gridParam.setObjectName(_fromUtf8("gridParam"))
        self.horizontalSlider = QtGui.QSlider(self.frameParam)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(10)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.horizontalSlider.sizePolicy().hasHeightForWidth())
        self.horizontalSlider.setSizePolicy(sizePolicy)
        self.horizontalSlider.setOrientation(QtCore.Qt.Horizontal)
        self.horizontalSlider.setObjectName(_fromUtf8("horizontalSlider"))
        self.gridParam.addWidget(self.horizontalSlider, 1, 1, 1, 1)
        self.listView = QtGui.QListView(self.frameParam)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(1)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.listView.sizePolicy().hasHeightForWidth())
        self.listView.setSizePolicy(sizePolicy)
        self.listView.setMaximumSize(QtCore.QSize(200, 16777215))
        self.listView.setObjectName(_fromUtf8("listView"))
        self.gridParam.addWidget(self.listView, 0, 0, 2, 1)
        self.gridLayout_2.addWidget(self.frameParam, 0, 1, 1, 1)
        self.ScrollgridParam.setWidget(self.WSc)
        self.ConsoleOutput = QtGui.QTextEdit(self.splitter)
        self.ConsoleOutput.setEnabled(True)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ConsoleOutput.sizePolicy().hasHeightForWidth())
        self.ConsoleOutput.setSizePolicy(sizePolicy)
        self.ConsoleOutput.setMinimumSize(QtCore.QSize(0, 210))
        palette = QtGui.QPalette()
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 255))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.Text, brush)
        brush = QtGui.QBrush(QtGui.QColor(90, 90, 90))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.Base, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 255))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.Text, brush)
        brush = QtGui.QBrush(QtGui.QColor(90, 90, 90))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.Base, brush)
        brush = QtGui.QBrush(QtGui.QColor(118, 118, 117))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.Text, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 255))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.Base, brush)
        self.ConsoleOutput.setPalette(palette)
        font = QtGui.QFont()
        font.setFamily(_fromUtf8("Monospace"))
        font.setPointSize(11)
        self.ConsoleOutput.setFont(font)
        self.ConsoleOutput.setFocusPolicy(QtCore.Qt.NoFocus)
        self.ConsoleOutput.setFrameShape(QtGui.QFrame.VLine)
        self.ConsoleOutput.setFrameShadow(QtGui.QFrame.Sunken)
        self.ConsoleOutput.setVerticalScrollBarPolicy(QtCore.Qt.ScrollBarAlwaysOn)
        self.ConsoleOutput.setReadOnly(True)
        self.ConsoleOutput.setObjectName(_fromUtf8("ConsoleOutput"))
        self.gridLayout.addWidget(self.splitter_2, 0, 0, 1, 1)
        MDTC_window.setCentralWidget(self.centralwidget)
        self.menubar = QtGui.QMenuBar(MDTC_window)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 1000, 28))
        self.menubar.setObjectName(_fromUtf8("menubar"))
        self.menuFichier = QtGui.QMenu(self.menubar)
        self.menuFichier.setTitle(_fromUtf8("File"))
        self.menuFichier.setObjectName(_fromUtf8("menuFichier"))
        self.menuAide = QtGui.QMenu(self.menubar)
        self.menuAide.setTitle(_fromUtf8("Help"))
        self.menuAide.setObjectName(_fromUtf8("menuAide"))
        MDTC_window.setMenuBar(self.menubar)
        self.statusbar = QtGui.QStatusBar(MDTC_window)
        self.statusbar.setObjectName(_fromUtf8("statusbar"))
        MDTC_window.setStatusBar(self.statusbar)
        self.actionOpen = QtGui.QAction(MDTC_window)
        self.actionOpen.setObjectName(_fromUtf8("actionOpen"))
        self.actionNew = QtGui.QAction(MDTC_window)
        self.actionNew.setObjectName(_fromUtf8("actionNew"))
        self.actionClose = QtGui.QAction(MDTC_window)
        self.actionClose.setObjectName(_fromUtf8("actionClose"))
        self.actionSaveas = QtGui.QAction(MDTC_window)
        self.actionSaveas.setObjectName(_fromUtf8("actionSaveas"))
        self.actionIssue_Reporter = QtGui.QAction(MDTC_window)
        self.actionIssue_Reporter.setObjectName(_fromUtf8("actionIssue_Reporter"))
        self.actionAbout = QtGui.QAction(MDTC_window)
        self.actionAbout.setObjectName(_fromUtf8("actionAbout"))
        self.actionSave = QtGui.QAction(MDTC_window)
        self.actionSave.setObjectName(_fromUtf8("actionSave"))
        self.actionRevert_file = QtGui.QAction(MDTC_window)
        self.actionRevert_file.setObjectName(_fromUtf8("actionRevert_file"))
        self.actionHelp = QtGui.QAction(MDTC_window)
        self.actionHelp.setObjectName(_fromUtf8("actionHelp"))
        self.menuFichier.addAction(self.actionNew)
        self.menuFichier.addAction(self.actionOpen)
        self.menuFichier.addSeparator()
        self.menuFichier.addSeparator()
        self.menuFichier.addAction(self.actionSave)
        self.menuFichier.addAction(self.actionSaveas)
        self.menuFichier.addAction(self.actionRevert_file)
        self.menuFichier.addSeparator()
        self.menuFichier.addAction(self.actionClose)
        self.menuAide.addAction(self.actionHelp)
        self.menuAide.addSeparator()
        self.menuAide.addSeparator()
        self.menuAide.addAction(self.actionAbout)
        self.menuAide.addAction(self.actionIssue_Reporter)
        self.menubar.addAction(self.menuFichier.menuAction())
        self.menubar.addAction(self.menuAide.menuAction())

        self.retranslateUi(MDTC_window)
        QtCore.QMetaObject.connectSlotsByName(MDTC_window)

    def retranslateUi(self, MDTC_window):
        self.treeWidget.headerItem().setText(0, _translate("MDTC_window", "Hyerarchie_parametres", None))
        __sortingEnabled = self.treeWidget.isSortingEnabled()
        self.treeWidget.setSortingEnabled(False)
        self.treeWidget.topLevelItem(0).setText(0, _translate("MDTC_window", "General", None))
        self.treeWidget.topLevelItem(1).setText(0, _translate("MDTC_window", "Physical", None))
        self.treeWidget.topLevelItem(2).setText(0, _translate("MDTC_window", "Species", None))
        self.treeWidget.topLevelItem(3).setText(0, _translate("MDTC_window", "Reactions", None))
        self.treeWidget.topLevelItem(4).setText(0, _translate("MDTC_window", "Numerical", None))
        self.treeWidget.topLevelItem(5).setText(0, _translate("MDTC_window", "Initial conditions", None))
        self.treeWidget.topLevelItem(6).setText(0, _translate("MDTC_window", "Boundary conditions", None))
        self.treeWidget.topLevelItem(7).setText(0, _translate("MDTC_window", "History", None))
        self.treeWidget.topLevelItem(8).setText(0, _translate("MDTC_window", "Export", None))
        self.treeWidget.setSortingEnabled(__sortingEnabled)
        self.buttonMESH.setText(_translate("MDTC_window", " Plot mesh", None))
        self.buttonRUN.setShortcut(_translate("MDTC_window", "Ctrl+R", None))
        self.buttonPLOT.setText(_translate("MDTC_window", "    Plot XY", None))
        self.buttonVTK.setText(_translate("MDTC_window", "   Plot 2D/3D", None))
        self.actionOpen.setText(_translate("MDTC_window", "Open...", None))
        self.actionOpen.setShortcut(_translate("MDTC_window", "Ctrl+O", None))
        self.actionNew.setText(_translate("MDTC_window", "New", None))
        self.actionNew.setShortcut(_translate("MDTC_window", "Ctrl+N", None))
        self.actionClose.setText(_translate("MDTC_window", "Close", None))
        self.actionClose.setShortcut(_translate("MDTC_window", "Ctrl+W", None))
        self.actionSaveas.setText(_translate("MDTC_window", "Save as....", None))
        self.actionSaveas.setShortcut(_translate("MDTC_window", "Ctrl+Shift+S", None))
        self.actionIssue_Reporter.setText(_translate("MDTC_window", "Issue Reporter", None))
        self.actionAbout.setText(_translate("MDTC_window", "About", None))
        self.actionSave.setText(_translate("MDTC_window", "Save", None))
        self.actionSave.setShortcut(_translate("MDTC_window", "Ctrl+S", None))
        self.actionRevert_file.setText(_translate("MDTC_window", "Revert file", None))
        self.actionHelp.setText(_translate("MDTC_window", "Help....", None))
        self.actionHelp.setToolTip(_translate("MDTC_window", "Help", None))
        self.actionHelp.setShortcut(_translate("MDTC_window", "F1", None))

import icons_rc
